Rotate a Fleet message signing key pair
- Base URL
-
https://{kibana_url}
- POST /api/fleet/message_signing_service/rotate_key_pair
Rotate the key pair used by Fleet to sign messages sent to Elastic Agents. This operation is irreversible and requires all agents in the Fleet to be re-enrolled after rotation. You must explicitly acknowledge the risk by passing acknowledge=true as a query parameter.
Required authorization
- Privileges fleet-agents-all and fleet-agent-policies-all and fleet-settings-all
Responses
Bad Request